<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <div id="root">
        <p>Viết hoa chữ cái đầu tiên</p>
        <p>{{message}}</p>
        <p>=></p>
            {{message | capitalize}}
            
    </div>
    
    <script>
    Vue.filter('capitalize', function (value) {
        if (!value) return ''
            value = value.toString()
            return value.charAt(0).toUpperCase() + value.slice(1)
        })

    new Vue({
        el:'#root',
        data() {
            return {
                message:'hello viet nam',
              
            }
        },
    })
    </script>
</body>
</html>